#include <Keypad.h>
const char number_of_rows=4;
const char number_of_columns=4;
char row_pins[number_of_rows]={9,8,7,6};
char column_pins[number_of_columns]={5,4,3,2};
char* secretCode = "1234";
int position = 0;
char key_array[number_of_rows][number_of_columns]={
  {'1','2','3','A'},
  {'4','5','6','B'},
  {'7','8','9','C'},
  {'*','0','#','D'}
};
Keypad k= Keypad(makeKeymap(key_array),row_pins,column_pins,number_of_rows,number_of_columns);
int redPin = 10;
int greenPin = 11;
void setup()
{
  // put your setup code here, to run once:
Serial.begin(9600);
pinMode(redPin, OUTPUT);
pinMode(greenPin, OUTPUT);
setLocked(true);
}
void loop()
{
  // put your main code here, to run repeatedly:
  char key=k.getKey();
  if (key)
  {
    Serial.println(key);
  }
//  char key = keypad.getKey();
  if (key == '*' || key == '#')
  {
  position = 0;
  setLocked(true);
  }
  if (key == secretCode[position])
  {
  position ++;
  }
  if (position == 4)
  {
  setLocked(false);
  }
  delay(100);
  }
  void setLocked(int locked){
  if (locked)
  {
  digitalWrite(redPin, HIGH);
  digitalWrite(greenPin, LOW); 
  }
  else
  {
  digitalWrite(redPin, LOW);
  digitalWrite(greenPin, HIGH); 
  }
}
